# frozen_string_literal: true

lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "ncco/version"

Gem::Specification.new do |spec|
  spec.name          = "ncco"
  spec.version       = NCCO::VERSION
  spec.authors       = ["Tim Rogers"]
  spec.email         = ["me@timrogers.co.uk"]

  spec.summary       = "Build and validate Nexmo Call Control Objects (NCCOs) with a " \
                       "simple API"
  spec.homepage      = "https://github.com/timrogers/ncco-ruby"
  spec.license       = "MIT"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = spec.homepage
  spec.metadata["changelog_uri"] = "https://github.com/timrogers/ncco-ruby/blob/master/CHANGELOG.md"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "dry-validation", "~> 0.12.2"

  spec.add_development_dependency "bundler", "~> 1.17.a"
  spec.add_development_dependency "gc_ruboconfig", "~> 2.3.13"
  spec.add_development_dependency "pry", "~> 0.12.2"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "rubocop", "~> 0.60.0"
  spec.add_development_dependency "rubocop-rspec", "~> 1.30.1"
end
